/********************************************************************
 FileName:     	HardwareProfile_SHSSuncom.h
 Dependencies:  See INCLUDES section
 Processor:     PIC18 USB Microcontrollers
 Hardware:      PICDEM FSUSB populated with PIC18F45K50
 Compiler:      Microchip C18
 Company:       Microchip Technology, Inc.
 
 Hardware profile for SHS Suncom PCB kit

********************************************************************
 File Description:

 Change History:
  Rev   Date         Description
  2.9f  06/25/2012   Initial release
********************************************************************/

// definitions for USB Stack
#ifndef HARDWARE_PROFILE_SHSSUNCOM_H
#define HARDWARE_PROFILE_SHSSUNCOM_H

#define self_power          1

//Uncomment the following line to make the output HEX of this  
//  project work with the MCHPUSB Bootloader    
//#define PROGRAMMABLE_WITH_USB_MCHPUSB_BOOTLOADER
	
//Uncomment the following line to make the output HEX of this 
//  project work with the HID Bootloader
//#define PROGRAMMABLE_WITH_USB_HID_BOOTLOADER		

#define PIC18F45K50_FAMILY
#define CLOCK_FREQ 48000000

/** LEDS ************************************************************/
#define mInitAllLEDs()      {LATB &= 0xF8; TRISB &= 0xF8;} 
  
#define mLED_1              Leds0.L0
#define mLED_2              Leds0.L1
#define mLED_3              Leds0.L2
#define mLED_4              Leds1.L0
#define mLED_5              Leds1.L1
#define mLED_6              Leds1.L2
#define mLED_7              Leds2.L0
#define mLED_8              Leds2.L1
#define mLED_9              Leds2.L2

#define mLEDLine			LATB
    
/** SWITCH *********************************************************/
#define mInitAllSwitches()  {TRISA = 0xFF; TRISC |= 0x07; LATC &= 0xF8;}
#define sel1                TRISCbits.TRISC0
#define sel2                TRISCbits.TRISC1
#define sel3                TRISCbits.TRISC2
#define baseButtons			PORTA
#define swmain				PORTBbits.RB3
    
/** AD ************************************************************/
#define mInitAD()          {TRISA |= 0x0F; ANSELA |= 0x0F;}
#define ADCHAN0   ADC_CH11
#define ADCHAN1   ADC_CH13
#define ADCHAN2   ADC_CH18
#define ADCHAN3   ADC_CH19

#endif  //HARDWARE_PROFILE_PIC18F25K50_H
